aboutsummaryrefslogtreecommitdiffstats
path: root/test-all-options.sh
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2015-03-24 16:00:51 +0100
committerMattias Andrée <maandree@operamail.com>2015-03-24 16:00:51 +0100
commit6abbdab8c115b87c6374f0617337e999c03e5a88 (patch)
treef34b02a49f25bb981a073644f36bbb17baba889a /test-all-options.sh
parentupdate makefile and manual (diff)
downloadlibpassphrase-6abbdab8c115b87c6374f0617337e999c03e5a88.tar.gz
libpassphrase-6abbdab8c115b87c6374f0617337e999c03e5a88.tar.bz2
libpassphrase-6abbdab8c115b87c6374f0617337e999c03e5a88.tar.xz
update test-all-options.sh
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to '')
-rwxr-xr-xtest-all-options.sh22
1 files changed, 12 insertions, 10 deletions
diff --git a/test-all-options.sh b/test-all-options.sh
index 8e89d15..039ba83 100755
--- a/test-all-options.sh
+++ b/test-all-options.sh
@@ -2,16 +2,18 @@
for a in PASSPHRASE_ECHO ""; do
for b in PASSPHRASE_STAR ""; do
- for c in PASSPHRASE_REALLOC ""; do
- for d in PASSPHRASE_MOVE ""; do
- for e in PASSPHRASE_INSERT ""; do
- for f in PASSPHRASE_OVERRIDE ""; do
- for g in PASSPHRASE_DELETE ""; do
- for h in PASSPHRASE_CONTROL ""; do
- for i in PASSPHRASE_DEDICATED ""; do
- for j in DEFAULT_INSERT ""; do
- for k in PASSPHRASE_INVALID ""; do
- make libpassphrase -B OPTIONS="$a $b $c $d $e $f $g $h $i $j $k" || exit 1
+ for c in PASSPHRASE_TEXT ""; do
+ for d in PASSPHRASE_REALLOC ""; do
+ for e in PASSPHRASE_MOVE ""; do
+ for f in PASSPHRASE_INSERT ""; do
+ for g in PASSPHRASE_OVERRIDE ""; do
+ for h in PASSPHRASE_DELETE ""; do
+ for i in PASSPHRASE_CONTROL ""; do
+ for j in PASSPHRASE_DEDICATED ""; do
+ for k in DEFAULT_INSERT ""; do
+ for l in PASSPHRASE_INVALID ""; do
+ make libpassphrase -B OPTIONS="$a $b $c $d $e $f $g $h $i $j $k $l" || exit 1
+ done
done
done
done